<?php
include_once 'classes/TestProjektSmarty.class.php';
require_once("config/datenbankanbindung.php");     // f&uuml;gt die Datenbankanbindung ein: Sys:\php\includes\kurs\datenbankanbindung.php
$smarty = new Smarty();
$template = "modern";
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
$smarty = new Smarty();
require_once "language/german.inc.php";
require_once("func_mail_einstell.php");

$imtuid = $_GET["id1"];
$ergebnis = $_GET["id2"];
#$aktcode = $_GET["id3"];
$isid = $_GET["id4"];


#$imtuid = 1;
#$ergebnis = 'N';
#$aktcode = 77554321;
#$isid = 1;

# Prüfen, ob Eingaben richtig sind und ob Benutzer zum Ausschuss gehört und der Admin ihn für eine Abstimmung vorgesehen hat.
# Der Admin stellt beim Anschreiben immer gleich das Ausschussmitglied in die Tabelle imt_sitzungen_abfrage ohne Ergebnis ein

$db = dbconnect();
$result_par = $db->query("SELECT wert1 name, wert2 mail
                             FROM imt_parameter
                            WHERE pid=1
                          ");
$row_par = $result_par->fetch_array();


$result_vorh = $db->query("SELECT count(*) Anz
                              FROM imt_user
                             WHERE imtuid='$imtuid'
                               AND imtuid IN (SELECT imtuid FROM imt_rollen_user_zuord WHERE roid = '4' OR roid = '5')
                               AND imtuid IN (SELECT imtuid FROM imt_sitzungen_abfrage WHERE imtuid= '$imtuid')
                          ");
$row_vorh = $result_vorh->fetch_array();

if($row_vorh[Anz] == 1){
  # Bis 5 Tage vorher kann Ausschuss termin zu- oder absagen
  $result_sm = $db->query("SELECT count(*) Anz
                              FROM imt_sitzungen
                             WHERE isid='$isid'
                               AND now() > DATE_SUB(datum, INTERVAL 5 DAY)
                          ");
  $row_sm = $result_sm->fetch_array();
  
  $result_am = $db->query("SELECT vorname, nachname
                                FROM imt_user
                               WHERE imtuid='$imtuid'
                            ");
  $row_am = $result_am->fetch_array();
  
  if($row_sm[Anz] == 0){
    $aend_dat = date("Y-m-d H:i:s");
    $sql = $db->query("UPDATE imt_sitzungen_abfrage 
                           SET ergebnis ='$ergebnis'
                              ,erfass_dat='$aend_dat'
                         WHERE imtuid='$imtuid'
                           AND isid='$isid'
                      ");

        $result_sm1 = $db->query("SELECT date_format(datum, '%d.%m.%Y (%H:%i)') datum
                                     FROM imt_sitzungen
                                    WHERE isid = '$isid'
                                 ");
        $row_sm1 = $result_sm1->fetch_array();


        if($ergebnis == 'Y'){
          $titel = "Termin zugestimmt";
          $status = "zugestimmt";
          $text = "Sie haben dem Termin am $row_sm1[datum] zugestimmt.<br>Vielen Dank f&uuml;r Ihre Antwort. Sie k&ouml;nnen das Fenster jetzt schlie&szlig;en.";
          
          $betreff_mail = "$row_am[vorname] $row_am[nachname] hat dem Sitzungstermin zugestimmt";

      

          
        }else{
          $titel = "Termin abgelehnt";
          $status = "abgelehnt";
          $betreff_mail = "$row_am[vorname] $row_am[nachname] hat den Sitzungstermin abgelehnt";
          $text = "Sie haben den Termin am $row_sm1[datum] abgelehnt.<br>Vielen Dank f&uuml;r Ihre Antwort. Sie k&ouml;nnen das Fenster jetzt schlie&szlig;en.";
        }

    # Administratoren anschreiben
    $query_adm = "SELECT imtuid, vorname, nachname
                    FROM imt_user
                   WHERE imtuid IN (SELECT imtuid FROM imt_rollen_user_zuord WHERE roid = '1')";

    $result_adm = $db->query ($query_adm)
              or die ("Cannot execute query");
    
         
    while ($row_adm = $result_adm->fetch_array()){

          $text_mail = "
          <html>
          <head>
          <title>Sitzungstermin</title>
          </head>
          <body>
          <font face='Arial' size='2'>
          Guten Tag $row_adm[vorname] $row_adm[nachname]!
          <br /><br />
          Das Ausschussmitglied $row_am[vorname] $row_am[nachname] hat den Sitzungstermin
          vom $row_sm1[datum] $status.
          <p>
          Diese Mail wurde automatisch generiert!<br />
          Antworten Sie daher nicht auf diese Mail.<br />
          <br />
          Vielen Dank!
          </body>
          </html>";
          mail_einstell(NULL, $imtuid, $row_adm['imtuid'], NULL, NULL, $betreff_mail, $text_mail, NULL, NULL);
    }

        $smarty->assign('status_termin_titel', "$titel");
        $smarty->assign('status_termin_text', "$text"); 

  }else{
    $result_sm1 = $db->query("SELECT date_format(erfass_dat, '%d.%m.%Y (%H:%i)') datum, ergebnis
                                 FROM imt_sitzungen_abfrage
                                WHERE imtuid='$imtuid'
                                  AND isid = '$isid'
                             ");
    $row_sm1 = $result_sm1->fetch_array();
    
    if($row_sm1[ergebnis] == 'Y'){
      $titel = "Termin bereits zugestimmt";
      $text = "Sie haben dem Termin bereits am $row_sm1[datum] zugestimmt.<br>Bitte wenden Sie sich an <a href='mailto:$row_par[mail]'>$row_par[name]!";
    }else{
      $titel = "Termin bereits abgelehnt";
      $text = "Sie haben den Termin bereits am $row_sm1[datum] abgelehnt.<br>Bitte wenden Sie sich an <a href='mailto:$row_par[mail]'>$row_par[name]!";
    }
    $smarty->assign('status_termin_titel', "$titel");
    $smarty->assign('status_termin_text', "$text");  
  }
}else{
  $titel = "Falscher Link";
  $text = "Der Link ist nicht richtig. Bitte wenden Sie sich an <a href='mailto:$row_par[mail]'>$row_par[name]!";
  $smarty->assign('status_termin_titel', "$titel");
  $smarty->assign('status_termin_text', "$text");
}

$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");

?>